# DataExchange
TKIGES
IGESAppli

# IGESAppli_HArray1OfFlow Class Reference

`#include <IGESAppli_HArray1OfFlow.hxx>`

## Public Member Functions

Standard_EXPORT | IGESAppli_HArray1OfFlow (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | IGESAppli_HArray1OfFlow (const Standard_Integer Low, const Standard_Integer Up, const Handle(IGESAppli_Flow)&V)
Standard_EXPORT void | Init (const Handle(IGESAppli_Flow)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(IGESAppli_Flow)&Value)
const Handle_IGESAppli_Flow & | Value (const Standard_Integer Index) const
Handle_IGESAppli_Flow & | ChangeValue (const Standard_Integer Index)
const IGESAppli_Array1OfFlow & | Array1 () const
IGESAppli_Array1OfFlow & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

IGESAppli_Array1OfFlow | myArray

## Constructor & Destructor Documentation

Standard_EXPORT IGESAppli_HArray1OfFlow::IGESAppli_HArray1OfFlow | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT IGESAppli_HArray1OfFlow::IGESAppli_HArray1OfFlow | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(IGESAppli_Flow)& | V
| ) |

## Member Function Documentation

const IGESAppli_Array1OfFlow& IGESAppli_HArray1OfFlow::Array1 | ( |  | ) | const

IGESAppli_Array1OfFlow& IGESAppli_HArray1OfFlow::ChangeArray1 | ( |  | ) |

Handle_IGESAppli_Flow& IGESAppli_HArray1OfFlow::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const IGESAppli_HArray1OfFlow::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void IGESAppli_HArray1OfFlow::Init | ( | const Handle(IGESAppli_Flow)& | V | ) |

Standard_Integer IGESAppli_HArray1OfFlow::Length | ( |  | ) | const

Standard_Integer IGESAppli_HArray1OfFlow::Lower | ( |  | ) | const

void IGESAppli_HArray1OfFlow::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(IGESAppli_Flow)& | Value
| ) |

Standard_Integer IGESAppli_HArray1OfFlow::Upper | ( |  | ) | const

const Handle_IGESAppli_Flow& IGESAppli_HArray1OfFlow::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

IGESAppli_Array1OfFlow IGESAppli_HArray1OfFlow::myArray `[private]`

The documentation for this class was generated from the following file:

- IGESAppli_HArray1OfFlow.hxx